Skip to main content
POST
/
lending-stocks
/
api
/
liquidations
/
{marketId}
/
settle-expired-auction
curl -X POST "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/settle-expired-auction" \
  -H "X-API-Key: trusset_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"auctionId": 1, "useRelayer": true}'
{
  "success": true,
  "data": { "txHash": "0xabc...def", "auctionId": 1 }
}
Routes remaining collateral from an expired auction to the liquidation router for off-chain sale. Requires LIQUIDATOR_ROLE.

Path Parameters

marketId
string
required
Market ID.

Body Parameters

auctionId
integer
required
Auction ID.
useRelayer
boolean
default:"false"
Execute via relayer or return calldata.
curl -X POST "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/settle-expired-auction" \
  -H "X-API-Key: trusset_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"auctionId": 1, "useRelayer": true}'
{
  "success": true,
  "data": { "txHash": "0xabc...def", "auctionId": 1 }
}